Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 161133 - Gnome Pilot applet gets stuck synchronising calendar information from a PDA
Summary: Gnome Pilot applet gets stuck synchronising calendar information from a PDA
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: evolution-connector
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Dave Malcolm
QA Contact:
URL:
Whiteboard:
Depends On: 139393
Blocks: 156322
TreeView+ depends on / blocked
 
Reported: 2005-06-20 18:36 UTC by Dave Malcolm
Modified: 2007-11-30 22:07 UTC (History)
5 users (show)

Fixed In Version: RHBA-2005-557
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-10-05 14:31:18 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2005:557 qe-ready SHIPPED_LIVE evolution-connector bug fix update 2005-10-05 04:00:00 UTC

Description Dave Malcolm 2005-06-20 18:36:07 UTC
+++ This bug was initially created as a clone of Bug #139393 +++

Description of problem:
Gnome Pilot applet gets stuck synchronising calendar information from
a PDA.

Version-Release number of selected component (if applicable):
gnome-pilot-conduits-2.0.12-3

How reproducible:
100%

Steps to Reproduce:
1. set up gnome-pilot ECalendar to sync or to get from PDA
2. try syncing

  
Actual results:
Sync of data

Expected results:
Seems to get stuck with top progress bar at about 10%, with lower
progress bar going back on forth like crazy. 

Additional info:
Attaching to the gpilot process yields this backtrace:
#0  0x00b347a2 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
#1  0x00d93ac6 in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib/tls/libpthread.so.0
#2  0xf56ddc25 in e_cal_remove_object_with_mod ()
   from /usr/lib/libecal.so.6
#3  0xf56ddd26 in e_cal_remove_object () from /usr/lib/libecal.so.6
#4  0xf57685c1 in ?? ()
   from /usr/lib/evolution/2.0/conduits/libecalendar_conduit.so
#5  0x09e0f2f8 in ?? ()
#6  0x09daacf0 in ?? ()
#7  0x00000000 in ?? ()

Comment 3 Dave Malcolm 2005-06-24 22:58:48 UTC
Changing component to "evolution-connector"; the patch relates to syncing a PDA
from MS Exchange via Evolution/gnome-pilot



Comment 7 Red Hat Bugzilla 2005-10-05 14:31:18 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-557.html



Note You need to log in before you can comment on or make changes to this bug.